/* $Id: dns_dnlen.c,v 1.3 2003/04/03 18:05:22 mjt Exp $
 * dns_dnlen(): return length of a domain name (with trailing
 * zero, as it is an integral part of DN)
 */

#include "dns.h"

unsigned dns_dnlen(const unsigned char *dn) {
  unsigned c;
  const unsigned char *d = dn;
  while((c = *d++) != 0)
    d += c;
  return d - dn;
}
